#
# spec file for package pesign-obs-integration
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# needssslcertforbuild

Name:           pesign-obs-integration
Summary:        Macros and scripts to sign the kernel and bootloader
License:        GPL-2.0
Group:          Development/Tools/Other
Version:        10.0
Release:        0.31.1
Requires:       mozilla-nss-tools
Requires:       openssl
%ifarch %ix86 x86_64 ia64
Requires:       pesign
%endif
BuildRequires:  openssl
Url:            http://en.opensuse.org/openSUSE:UEFI_Image_File_Sign_Tools
Source2:        pesign-repackage.spec.in
Source3:        pesign-gen-repackage-spec
Source4:        brp-99-pesign
Source5:        COPYING
Source6:        README
Source7:        kernel-sign-file
Source8:        modsign-repackage
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides scripts and rpm macros to automate signing of the
boot loader, kernel and kernel modules in the openSUSE Buildservice.

%prep
%setup -cT
cp %_sourcedir/{COPYING,README} .

%build

%install

mkdir -p %buildroot/usr/lib/rpm/brp-suse.d %buildroot/usr/lib/rpm/pesign
cd %_sourcedir
install  pesign-gen-repackage-spec kernel-sign-file %buildroot/usr/lib/rpm/pesign
install  brp-99-pesign %buildroot/usr/lib/rpm/brp-suse.d
install -m644 pesign-repackage.spec.in %buildroot/usr/lib/rpm/pesign
mkdir -p %buildroot/usr/bin
install modsign-repackage %buildroot/usr/bin/
if test -e _projectcert.crt; then
	openssl x509 -inform PEM -in _projectcert.crt \
		-outform DER -out %buildroot/usr/lib/rpm/pesign/pesign-cert.x509
else
	echo "No buildservice project certificate available"
fi

%files
%defattr(-,root,root)
%doc COPYING README
/usr/bin/modsign-repackage
/usr/lib/rpm/*

%changelog
* Tue Nov 29 2016 mmarek@suse.cz
- Copy over any *.log files from the first build (bsc#1012422)
* Fri Jan  8 2016 mmarek@suse.cz
- Use "md5" instead of "filedigest" in %%verify flags (bsc#961042).
* Thu Jan 22 2015 mmarek@suse.cz
- Add support for file verify flags (bnc#905420).
* Thu Jan 22 2015 mmarek@suse.cz
- Sort the parts of the repackage spec file for easier debugging.
* Mon Aug  4 2014 mmarek@suse.cz
- Set BRP_PESIGN_FILES="" in the repackage build to avoid loops.
* Wed Jul 30 2014 mmarek@suse.cz
- Accept also rpmlintrc files without any <package>- prefix
  (bnc#889626).
* Mon Jul 28 2014 mmarek@suse.cz
- Use package's rpmlintrc files in the second build (bnc#889626).
* Wed Apr 23 2014 mmarek@suse.com
- Update README.
* Thu Jan 16 2014 mmarek@suse.cz
- Do not sign any files if BRP_PESIGN_FILES is set not an empty
  string (bnc#857599).
* Tue Jan  7 2014 mmarek@suse.cz
- Fix a typo in the last change.
* Mon Jan  6 2014 mmarek@suse.cz
- Default to BRP_PESIGN_FILES="*.ko /lib/firmware" (bnc#857599).
* Mon Jan  6 2014 mmarek@suse.cz
- Add --signatures=<directory> option to modsign-repackage
  (bnc#841627).
* Fri Jun 14 2013 mmarek@suse.cz
- Put debuginfo packages to %%_topdir/OTHER (bnc#824971).
* Thu Mar 28 2013 mmarek@suse.cz
- Version 10
- Add modsign-repackage tool to repackage RPMs outside the buildservice
* Tue Mar 26 2013 glin@suse.com
- Calculate the digest of the padded data section to be consistent
  with the output file (bnc#808594, bnc#811325)
* Fri Mar 15 2013 coolo@suse.com
- correct the license of the generated package to fix build
* Tue Mar  5 2013 mmarek@suse.cz
- Do not repackage debuginfo package (bnc#806637)
* Mon Mar  4 2013 mmarek@suse.cz
- Version 9
- Add support for triggers (bnc#806737)
* Wed Feb 20 2013 mmarek@suse.cz
- Do not fail the build if %%_topdir/OTHER cannot be created
* Wed Feb 13 2013 mmarek@suse.cz
- Version 8
- Hide baselibs from post-build-checks
* Wed Feb 13 2013 mmarek@suse.cz
- Do not repackage baselibs
* Wed Feb 13 2013 mmarek@suse.cz
- Version 7
- Fix for scriptlets with empty body
* Tue Feb 12 2013 mls@suse.de
- reduce debugging as pesign is now fixed
* Tue Feb 12 2013 mls@suse.de
- add a bit of debug output to find out why the kernel signatures
  are bad
* Wed Feb  6 2013 mls@suse.de
- switch to normal brp hook
- mv stuff in pesign directory instead of cluttering /usr/lib/rpm
* Fri Feb  1 2013 mls@suse.de
- fix pesign calls
* Fri Feb  1 2013 mmarek@suse.cz
- Add some preliminary code to sign EFI binaries, marked with
  FIXMEs.
* Wed Jan 30 2013 mmarek@suse.cz
- Version 6
- Fix handling packages with NoSource
- Fix for multiple patterns in %%sign_files
* Tue Jan 29 2013 mmarek@suse.cz
- Version 5
- Use newc-style cpio archives, as required by the buildservice.
- Use signing certificates provided by the buildservice.
- Minor fixes.
* Mon Jan 28 2013 mmarek@suse.cz
- Version 4
- Support for firmware signatures.
- Expect the correct archive with signatures (<name>.cpio.rsasign.sig).
- Minor fixes.
* Wed Jan 23 2013 mmarek@suse.cz
- Version 3
- Switch to storing whole files in the *.cpio.rsasign archive.
- Append the signatures to kernel modules.
* Fri Jan 18 2013 mmarek@suse.cz
- Version 2
- Generates another specfile in pesign-repackage.spec to
  be able to copy nearly all RPM tags from the original packages.
- Changed to only store sha256 hashes in the *.cpio.rsasign file,
  instead of whole files.
* Thu Dec 13 2012 mmarek@suse.com
- Created package with macros and scripts to integrate kernel and
  bootloader signing into OBS (fate#314552).
